Python Firebird mit libfbembed ?

Installation und Anwendung von Datenbankschnittstellen wie SQLite, PostgreSQL, MySQL, der DB-API 2.0 und sonstigen Datenbanksystemen.
Benutzeravatar
jens
Moderator
Beiträge: 8458
Registriert: Dienstag 10. August 2004, 09:40
Wohnort: duisburg
Kontaktdaten:

Python Firebird mit libfbembed ?

Beitragvon jens » Freitag 29. Februar 2008, 16:23

ich möchte an einer Firebird Datenbank Datei ran.

Geht das auch irgendwie mit KInterbasDB und die embedet Version von Firebird (libfbembed) oder nur mit der richtigen Datenbank?

EDIT: Also ich hab erstmal den normalen Server installiert. Nun erhalte ich folgenden Fehler:
kinterbasdb.OperationalError: (-820, 'isc_attach_database: unsupported on-disk structure for file test.fdb; found 32779.10, support -1211634143.-1210570924. ')

Da passt wohl die Version der laufenden Datenbank nicht mit der Datenbank Datei (aus VVV, siehe: http://www.python-forum.de/post-91732.html#91732 ) zusammen :(

EDIT2: Und direkt die Lösung gefunden:
Be careful to install the classic server (not superserver) version 2.0.x. Ubuntu has an older Firebird2 package that installs version 1.5.x: do not install it.

http://vvvapp.sourceforge.net/how_to_compile_vvv.htm

Ja, dann mal Firebird irgendwie anders installieren... :?

EDIT3: So, unter Ubuntu hatte ich das falsche Paket installiert. Mit "firebird2.0-super" geht's...

CMS in Python: http://www.pylucid.org
GitHub | Open HUB | Xing | Linked in
Bitcoins to: 1JEgSQepxGjdprNedC9tXQWLpS424AL8cd

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder